Bug 972715 - [abrt] BUG: unable to handle kernel paging request at 00000000006da000
[abrt] BUG: unable to handle kernel paging request at 00000000006da000
Status: CLOSED DUPLICATE of bug 976789
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radim Krčmář
Fedora Extras Quality Assurance
abrt_hash:75b6530a2676cc639f7c5176986...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 09:02 EDT by Adrian Keward
Modified: 2013-07-03 10:59 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 10:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (76.88 KB, text/plain)
2013-06-10 09:02 EDT, Adrian Keward
no flags Details

  None (edit)
Description Adrian Keward 2013-06-10 09:02:15 EDT
Description of problem:
running RHEL 6.4 + Satellite in VM on KVM, system crashed with no error messages

Additional info:
reporter:       libreport-2.1.4
BUG: unable to handle kernel paging request at 00000000006da000
IP: [<ffffffff81169c58>] anon_vma_chain_link+0x18/0x50
PGD 188630067 PUD 188638067 PMD 188639067 PTE 80000001f7e4b065
Oops: 0003 [#1] SMP 
Modules linked in: hidp fuse ebtable_nat xt_CHECKSUM ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 bridge stp llc iptable_nat nf_nat_ipv4 nf_nat lockd sunrpc iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi snd_hda_codec_conexant arc4 iwldvm acpi_cpufreq mperf mac80211 coretemp microcode joydev iwlwifi lpc_ich i2c_i801 uvcvideo mfd_core videobuf2_vmalloc snd_hda_intel videobuf2_memops snd_hda_codec videobuf2_core snd_hwdep videodev snd_seq snd_seq_device media cfg80211 btusb bluetooth snd_pcm snd_page_alloc snd_timer e1000e ptp mei pps_core thinkpad_acpi snd tpm_tis soundcore tpm rfkill tpm_bios vhost_net tun macvtap macvlan kvm_intel kvm binfmt_misc uinput dm_crypt crc32_pclmul crc32c_intel i915 ghash_clmulni_intel sdhci_pci firewire_ohci sdhci i2c_algo_bit firewire_core drm_kms_helper mmc_core crc_itu_t drm usb_storage i2c_core wmi video
CPU 1 
Pid: 2969, comm: ksmtuned Not tainted 3.9.4-200.fc18.x86_64 #1 LENOVO 4243BQ9/4243BQ9
RIP: 0010:[<ffffffff81169c58>]  [<ffffffff81169c58>] anon_vma_chain_link+0x18/0x50
RSP: 0018:ffff880188b7bd20  EFLAGS: 00010282
RAX: 00000000006da000 RBX: 00000000006da000 RCX: 00000000000512f4
RDX: ffff88020df87f80 RSI: 00000000006da000 RDI: ffff880210d40398
RBP: ffff880188b7bd30 R08: 0000000000016de0 R09: ffffffff8116b969
R10: 00000000000000db R11: ffff880210d40170 R12: ffff8801e8de3e40
R13: ffff8801fd908080 R14: 00000000006da000 R15: ffff88020df87f80
FS:  00007fe1a0cdc740(0000) GS:ffff88021e240000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000006da000 CR3: 0000000188b66000 CR4: 00000000000427e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process ksmtuned (pid: 2969, threadinfo ffff880188b7a000, task ffff8801bdc3c650)
Stack:
 ffff8801fd908080 ffff8801e8de3e40 ffff880188b7bd80 ffffffff8116b9a2
 ffff880210d40398 ffff8801ca3797a8 ffff880188b7bd80 ffff8801e8a8ad80
 ffff8801ca379730 ffff880210d40398 0000000000000009 ffff880210d40398
Call Trace:
 [<ffffffff8116b9a2>] anon_vma_clone+0x82/0x140
 [<ffffffff8116ba98>] anon_vma_fork+0x38/0x100
 [<ffffffff8105c9cd>] dup_mm+0x24d/0x640
 [<ffffffff8105d7d7>] copy_process.part.24+0x9d7/0x13e0
 [<ffffffff811bbdd2>] ? __alloc_fd+0x42/0x110
 [<ffffffff8105e2d9>] do_fork+0xa9/0x350
 [<ffffffff811bbed0>] ? get_unused_fd_flags+0x30/0x40
 [<ffffffff8105e606>] sys_clone+0x16/0x20
 [<ffffffff8166a2b9>] stub_clone+0x69/0x90
 [<ffffffff81669f59>] ? system_call_fastpath+0x16/0x1b
Code: 00 00 48 c7 43 30 00 00 00 00 48 83 c4 08 5b 5d c3 66 90 66 66 66 66 90 55 48 89 e5 48 83 ec 10 48 89 5d f0 48 89 f3 4c 89 65 f8 <48> 89 3e 49 89 d4 48 89 53 08 48 8b 57 78 48 8d 77 78 48 8d 7b 
RIP  [<ffffffff81169c58>] anon_vma_chain_link+0x18/0x50
 RSP <ffff880188b7bd20>
CR2: 00000000006da000
Comment 1 Adrian Keward 2013-06-10 09:02:21 EDT
Created attachment 759173 [details]
File: dmesg
Comment 2 Laurent Weislo 2013-06-14 14:41:57 EDT
Description of problem:
While powering off a KVM VM which was not able to boot a red hat 6.4 dvd iso image (was loading initrd and after reboot) after a failed install of this iso (stop during disk layout...)

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.9.5-201.fc18.x86_64 root=UUID=bdbf8519-90d8-408d-9d53-644d27e28db7 ro rd.md=0 rd.lvm=0 rd.dm=0 vconsole.keymap=fr rd.luks=0 LANG=en_US.UTF-8
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
BUG: unable to handle kernel paging request at 00007f6cc46c4000
IP: [<ffffffff81169b88>] anon_vma_chain_link+0x18/0x50
PGD 195ae3067 PUD 1c1419067 PMD 1ac1a8067 PTE 800000023bc5a065
Oops: 0003 [#1] SMP 
Modules linked in: fuse ebtable_nat xt_CHECKSUM bridge stp llc nf_conntrack_tftp ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec arc4 ath9k snd_hwdep ath9k_common snd_seq ath9k_hw snd_seq_device snd_pcm ath acpi_cpufreq mperf snd_page_alloc mac80211 cfg80211 snd_timer k10temp joydev microcode edac_core edac_mce_amd snd sp5100_tco i2c_piix4 serio_raw asus_laptop soundcore sparse_keymap rfkill input_polldev vhost_net tun macvtap macvlan kvm_amd kvm uinput binfmt_misc radeon i2c_algo_bit drm_kms_helper ttm drm atl1c i2c_core video sunrpc
CPU 3 
Pid: 5259, comm: systemd-udevd Not tainted 3.9.5-201.fc18.x86_64 #1 ASUSTeK Computer Inc.         K72Dr/K72Dr
RIP: 0010:[<ffffffff81169b88>]  [<ffffffff81169b88>] anon_vma_chain_link+0x18/0x50
RSP: 0018:ffff8801c177dd20  EFLAGS: 00010282
RAX: 00007f6cc46c4000 RBX: 00007f6cc46c4000 RCX: 00000000000b4b7b
RDX: ffff880241793cc0 RSI: 00007f6cc46c4000 RDI: ffff8801c556ec38
RBP: ffff8801c177dd30 R08: 0000000000016de0 R09: ffffffff8116b899
R10: 0000000000000008 R11: ffff8801c556eb80 R12: ffff88023fad2380
R13: ffff88023dace2c0 R14: 00007f6cc46c4000 R15: ffff880241793cc0
FS:  00007f6cc4f2a840(0000) GS:ffff88024fd80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00007f6cc46c4000 CR3: 000000023e4cb000 CR4: 00000000000007e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process systemd-udevd (pid: 5259, threadinfo ffff8801c177c000, task ffff880195ac5dc0)
Stack:
 ffff88023dace2c0 ffff88023fad2380 ffff8801c177dd80 ffffffff8116b8d2
 ffff8801c556ec38 ffff880241cd1358 ffff8801c177dd80 ffff8801c14d2a00
 ffff880241cd12e0 ffff8801c556ec38 0000000000000001 ffff8801c556ec38
Call Trace:
 [<ffffffff8116b8d2>] anon_vma_clone+0x82/0x140
 [<ffffffff8116b9c8>] anon_vma_fork+0x38/0x100
 [<ffffffff8105c82d>] dup_mm+0x24d/0x640
 [<ffffffff8105d637>] copy_process.part.24+0x9d7/0x13e0
 [<ffffffff811bdc36>] ? mntput+0x26/0x40
 [<ffffffff8105e139>] do_fork+0xa9/0x350
 [<ffffffff811a161e>] ? ____fput+0xe/0x10
 [<ffffffff8107f69c>] ? task_work_run+0xac/0xe0
 [<ffffffff8105e466>] sys_clone+0x16/0x20
 [<ffffffff8166a639>] stub_clone+0x69/0x90
 [<ffffffff8166a2d9>] ? system_call_fastpath+0x16/0x1b
Code: 00 00 48 c7 43 30 00 00 00 00 48 83 c4 08 5b 5d c3 66 90 66 66 66 66 90 55 48 89 e5 48 83 ec 10 48 89 5d f0 48 89 f3 4c 89 65 f8 <48> 89 3e 49 89 d4 48 89 53 08 48 8b 57 78 48 8d 77 78 48 8d 7b 
RIP  [<ffffffff81169b88>] anon_vma_chain_link+0x18/0x50
 RSP <ffff8801c177dd20>
CR2: 00007f6cc46c4000
Comment 3 Radim Krčmář 2013-06-17 16:44:33 EDT
Hello,

could you elaborate on the reproducer?

I have booted RHEL6.4 DVD and reset the machine while rootfs was unpacking, subsequent tries to boot ended with vm restarting before much could be printed and after few tries, the machine paused instead, after line "Probing EDD [...]". I was not able to panic the host from that point, though ...
Comment 4 Eric Paris 2013-07-03 10:56:03 EDT
quite possibly a dup of 976789
Comment 5 Eric Paris 2013-07-03 10:59:43 EDT

*** This bug has been marked as a duplicate of bug 976789 ***

Note You need to log in before you can comment on or make changes to this bug.